-------------------------------------------------------------------------

                  Spatio-Chromatic Contrast Sensitivity 
                 under Mesopic and Photopic Light Levels

-------------------------------------------------------------------------

This dataset contains  contrast measurements at luminances from 0.02 cd/m^2 (mesopic) to 7000 cd/m^2 (photopic). The stimuli were Gabor patches at f = 0.5, 1, 2, 4, 6 cpd in three colour directions. For more information, please see the project page:

https://www.cl.cam.ac.uk/research/rainbow/projects/hdr-csf/


If you use this dataset in a research paper, please cite the following:   

Spatio-chromatic contrast sensitivity under mesopic and photopic light levels
Sophie Wuerger, Maliha Ashraf, Minjung Kim, Jasna Martinovic, María Pérez-Ortiz and Rafał K. Mantiuk.
In: Journal of Vision, 2020

(please update the citation, as the paper was still in press at the time of publishing this dataset).


Organization of the dataset
---------------------------

data_all.csv: Data from all experiments reported in the article
data_expt1.csv, data_expt2.csv, data_expt3.csv, data_expt4.csv: Data split by experiment for convenience

observer_details_anon.csv: Demographics information of the observers


LMS cone responses
------------------

The stimuli were defined in terms of LMS cone responses modelled using 2-deg CIE 2006 cone fundamentals. The  cone fundamentals can be downloaded from: 

http://cvrl.ucl.ac.uk/ciepr.htm

Moreover, the LMS responses were weighted:
L = 0.689903 * int_lambda( L(lambda) * S_L(lambda) )
M = 0.348322 * int_lambda( L(lambda) * S_M(lambda) )
S = 0.0371597 * int_lambda( L(lambda) * S_S(lambda) )

where L(lambda) was the radiance and S_L, S_M and S_S were the cone sensitivities. Refer to the paper for more details.

Please note that the LMS cone responses defined using other cone fundamentals (e.g. Smith & Pokorny 1975, or CIE 1931) may be very different and you should never use an arbitrary LMS-to-XYZ colour transformation matrix. 

To convert our LMS responses to CIE 1931 2-deg XYZ, use the following matrices:

M_lms2006_xyz = [ 
   2.629129278399650  -3.780202391780134  10.294956387893450;
   0.865649062438827   1.215555811642301  -0.984175688105352;
  -0.008886561474676   0.081612628990755  51.371024830897888 ];

M_xyz_lms2006 = [ 
   0.187596268556126   0.585168649077728  -0.026384263306304;
  -0.133397430663221   0.405505777260049   0.034502127690364;
   0.000244379021663  -0.000542995890619   0.019406849066323 ];


Data columns
------------

data_all.csv, data_expt1.csv, data_expt2.csv, data_expt3.csv, data_expt4.csv:

* experiment      - Experiment identifier

* observer        - Anonymized observer identifier. Not every observer participated in every experiment.

* envelope_lambda, envelope_sigma - The size of the Gaussian envelope limiting the size of the Gabor patch

    The stimuli used in the experiments was limited in size by a Gaussian function with the standard deviation equal to "envelope_sigma". "envelope_sigma" was selected to maintain the same number of visible cycles such that the effective size of the stimulus was smaller for higher frequencies. This size can be computed as:

            envelope_sigma = envelope_lambda / frequency

* color_direction - The colour of the stimulus in DKL colour space.
                    1: black-white
                    2: red-green
                    3: yellow-violet

* luminance - Luminance of the mean grey background [cd/m^2].

* frequency - Frequency of the Gabor stimulus in [cpd].

* bright_surround - Was the experiment conducted in complete darkness (0) or with floodlights and room lighting (1)? This column is relevant for Experiment 2.

* L_background, M_background, S_background - LMS cone excitation of the background. Corresponds to the whitepoint of D65 illuminant (x=0.3127, y=0.3290). 

* L_stimulus, M_stimulus, S_stimulus - Peak LMS cone excitation of the Gabor stimulus at observer's threshold.

* log_cone_contrast - Observer's threshold measured using QUEST. The thresholds are in log10 units. The thresholds are computed from the LMS background and stimulus values, 

    deltaL = (L_stimulus - L_background) / L_background
    deltaM = (M_stimulus - M_background) / M_background
    deltaS = (S_stimulus - S_background) / S_background

    log_cone_contrast =  log10(  sqrt(deltaL^2 + deltaM^2 + deltaS^2) / sqrt(3)  )

* log_cone_contrast_ci_low, log_cone_contrast_ci_high - 95% confidence intervals of the log cone contrast. nan indicates that no reliable estimate of the confidence interval could be found. 


observer_details_anon.csv
* observer
* location - Location where the experiment was conducted (Cambridge or Liverpool)
* gender 
* age   - the age was rounded to the nearest 10 to protect the anonymity of the participants  
* exp1, exp2, exp3, exp4 - The experiments that the observer participated in

Questions
---------

Any questions regarding the dataset should be directed to:
Rafal Mantiuk <rafal.mantiuk@cl.cam.ac.uk> and Sophie Wuerger <s.m.wuerger@liverpool.ac.uk>.


